Description

The current CLI application includes a command set that is confusing with respect to the current API methods.  For example, the API

defines a MNRead.get() operation, which is accessed in the CLI using the 'data' command, even though it sometimes will return data

and others will return metadata.  Also, the CLI includes a command named 'get' which doesn't invoke the similarly named API

method, but instead displays a list of parameters set in the CLI.  We should refactor the CLI to have the command set correspond to

the names of the API methods, so that the correspondence is clear.  IN particular, the CLI command 'get' should execute

MNRead.get().  Others need to be reviewed for consistency.  I suggest renaming the current CLI command 'get' to 'show', which is

typically used in clients to show configuration settings.

By using the full method name from the API, the correspondence between CLI & API will be clear.  We can then later allow

unambiguous abbreviations of commands (see #2374), which will allow people to shorten commands.

Subtasks:

Task # 2389: Replace "get" with "show" command. Closed

Task # 2390: Implement "update" command in CLI Closed

Task # 2391: Implement "delete" command in CLI Closed

Task # 2392: Ensure that CLI commands correspond to API methods. Closed

History

#1 - 2012-02-23 20:51 - Matthew Jones

- Category set to d1_client_cli

- Assignee set to Andrew Pippin

- Target version set to Sprint-2012.07-Block.1.4

#2 - 2012-02-27 17:57 - Dave Vieglais

- Position set to 20

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position deleted (1)

#3 - 2012-03-16 02:37 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position deleted (63)

#4 - 2012-03-19 19:23 - Andrew Pippin

- Status changed from New to Closed

All sub-tasks have been completed (replace "@get@" with "@show@", "@data@" with "@get@", implement "@update@" and "@delete@").
